log4j.rootLogger=info,console

log4j.logger.app=debug,appconsole,applog
log4j.additivity.app=false

log4j.logger.com.webank=info,console,flowlog
log4j.additivity.com.webank=false

#log4j.logger.cn.webank.rmb=DEBUG
log4j.logger.cn.webank.rmb.core.MessageBufferMonitor=WARN

#log4j.logger.org.apache.ibatis=debug
log4j.logger.com.webank.mapper=debug
log4j.logger.com.webank.wapper=debug

log4j.appender.console=org.apache.log4j.ConsoleAppender
log4j.appender.console.layout=org.apache.log4j.PatternLayout
log4j.appender.console.layout.ConversionPattern=\
%d{yyyy-MM-dd HH:mm:ss.SSS}|%t|%p - %m%n

log4j.appender.appconsole=org.apache.log4j.ConsoleAppender
log4j.appender.appconsole.layout=org.apache.log4j.PatternLayout
log4j.appender.appconsole.layout.ConversionPattern=\
%d{yyyy-MM-dd HH:mm:ss.SSS}|%t|%p - %C{1}.%M() %m%n

log4j.appender.applog=org.apache.log4j.RollingFileAppender
log4j.appender.applog.File=logs/app.log
log4j.appender.applog.MaxFileSize=200MB
log4j.appender.applog.MaxBackupIndex=9
log4j.appender.applog.layout=org.apache.log4j.PatternLayout
log4j.appender.applog.layout.ConversionPattern=\
%d{yyyy-MM-dd HH:mm:ss.SSS}|%t|%p - %C{1}.%M() %m%n

log4j.appender.flowlog=org.apache.log4j.RollingFileAppender
log4j.appender.flowlog.File=logs/flow.log
log4j.appender.applog.MaxFileSize=200MB
log4j.appender.applog.MaxBackupIndex=9
log4j.appender.flowlog.layout=org.apache.log4j.PatternLayout
log4j.appender.flowlog.layout.ConversionPattern=\
%d{yyyy-MM-dd HH:mm:ss.SSS}|%t|%p - %m%n